/*
 * Copyright (c) 2009-2013 JGoodies Software GmbH. All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *  o Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 *  o Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 *  o Neither the name of JGoodies Software GmbH nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package com.jgoodies.common;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jgoodies.common.base.ObjectsTest;
import com.jgoodies.common.base.PreconditionsTest;
import com.jgoodies.common.base.StringsTest;
import com.jgoodies.common.base.SystemUtilsTest;
import com.jgoodies.common.collect.ObservableListTest;
import com.jgoodies.common.format.FormatTest;
import com.jgoodies.common.swing.MnemonicUtilsTest;

/**
 * A test suite for all tests related to the JGoodies Common classes.
 *
 * @author  Karsten Lentzsch
 * @version $Revision: 1.3 $
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({
    FormatTest.class,
    MnemonicUtilsTest.class,
    ObjectsTest.class,
    ObservableListTest.class,
    PreconditionsTest.class,
    StringsTest.class,
    SystemUtilsTest.class
})
public final class AllCommonTests {

    // Just a suite definition class.

}
